Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.util
Class StyleMap

    java.lang.Object
      writer2latex.latex.util.StyleMap

    public class StyleMap

extends java.lang.Object

Field Summary
`private java.util.Hashtable` | `items`

Constructor Summary
`StyleMap()`

Method Summary
`boolean` | `contains(java.lang.String sName)`
`java.lang.String` | `getAfter(java.lang.String sName)`
`java.lang.String` | `getBefore(java.lang.String sName)`
`boolean` | `getLineBreak(java.lang.String sName)`
`java.util.Enumeration` | `getNames()`
`java.lang.String` | `getNext(java.lang.String sName)`
`boolean` | `getVerbatim(java.lang.String sName)`
`boolean` | `isNext(java.lang.String sName, java.lang.String sNext)`
`void` | `put(java.lang.String sName, java.lang.String sBefore, java.lang.String sAfter)`
`void` | `put(java.lang.String sName, java.lang.String sBefore, java.lang.String sAfter, boolean bLineBreak, boolean bVerbatim)`
`void` | `put(java.lang.String sName, java.lang.String sBefore, java.lang.String sAfter, java.lang.String sNext, boolean bVerbatim)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### items

    private java.util.Hashtable items

Constructor Detail

### StyleMap

    public StyleMap()

Method Detail

### put

    public void put(java.lang.String sName,
                    java.lang.String sBefore,
                    java.lang.String sAfter,
                    boolean bLineBreak,
                    boolean bVerbatim)

### put

    public void put(java.lang.String sName,
                    java.lang.String sBefore,
                    java.lang.String sAfter,
                    java.lang.String sNext,
                    boolean bVerbatim)

### put

    public void put(java.lang.String sName,
                    java.lang.String sBefore,
                    java.lang.String sAfter)

### contains

    public boolean contains(java.lang.String sName)

### getBefore

    public java.lang.String getBefore(java.lang.String sName)

### getAfter

    public java.lang.String getAfter(java.lang.String sName)

### getNext

    public java.lang.String getNext(java.lang.String sName)

### isNext

    public boolean isNext(java.lang.String sName,
                          java.lang.String sNext)

### getLineBreak

    public boolean getLineBreak(java.lang.String sName)

### getVerbatim

    public boolean getVerbatim(java.lang.String sName)

### getNames

    public java.util.Enumeration getNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD